#include "MagicianLibrary.bas"

Main:
  Gosub Setup
  delay 3500

  call MoveToStack(0,"Take half of this deck")
  SetCBtext("and move it over here")
  call MoveTo(_JUMP,x[1],y[1],-40,0)  
  delay 1000
  gosub MoveAway
  SetCBtext("I will wait here")
  delay WaitTime
  
  call MoveToStack(0,"And take half of this one")
  call JumpToStack(2,"and move it here")
  
  call MoveToStack(1,"and half of this one")
  call JumpToStack(3,"and move it here")
  
  call MoveToStack(2,"now take one card of this stack")
  call JumpToStack(1,"and place it here")
  
  call MoveToStack(3,"and take one card from here")
  call JumpToStack(0,"and put it here")
  
  call MoveToStack(2,"Take half this deck")
  call JumpToStack(1,"And put it here")
  
  call MoveToStack(0,"now move half of this deck")
  call JumpToStack(2,"to here")  
  
  call MoveToStack(3,"Take half of these")
  call JumpToStack(0,"and move them here")
  
  call MoveToStack(2,"and half of this deck")
  call JumpToStack(3,"and move them here")
  
  call MoveToStack(0,"move one card from here")
  call JumpToStack(1,"to here")
  
  call MoveToStack(1,"Move half these cards")
  call JumpToStack(2,"to here")
  
  call MoveToStack(0,"and one card from here")
  call JumpToStack(1,"to here")
  
 

  SetCBtext("Okay, I think we have it")

  for i=0 to 3
    call PickUp(i)
  next
  
  SetCBtext("Look at these four cards") 
  gosub MoveAway
  delay 6000
  SetCBtext("Pretty good, huh")
  
  gosub MoveAway                                  
end

Setup:
  gosub InitArm
  Data x;313,313,241,241
  Data y;-45,52,-45,52
  WaitTime = 3000
  gosub MoveAway
return

MoveAway:
  call MoveTo(_LINEAR,250,-100,50,0)
return

sub MoveToStack(s,say)
  call MoveTo(_LINEAR,x[s],y[s],-40,0)
  SetCBtext(say)  
  call MoveTo(_LINEAR,x[s],y[s],-50,0)
  call MoveTo(_LINEAR,x[s],y[s],-40,0)
  delay 2000
return

sub JumpToStack(s,say)  
  call MoveTo(_JUMP,x[s],y[s],-40,0) 
  SetCBtext(say) 
  delay 1000
  gosub MoveAway
  delay _WaitTime
return

sub PickUp(p)
  call MoveTo(_LINEAR,x[p],y[p],-20,0)    // go to requested stack
  call MoveTo(_LINEAR,x[p],y[p],-60,0)    // drop down
  call SuctionControl(_PickUp)           // and pickup card
  call MoveTo(_LINEAR,x[p],y[p],-20,0)    // and raise card
  call MoveTo(_QUICK,x[p],y[p],-20,90)    // and rotate it
  call MoveTo(_LINEAR,250,150,-20,90)// move to drop location
  call MoveTo(_LINEAR,250,150,-60,90)// lower arm
  call SuctionControl(_Drop)               // drop card
  call MoveTo(_LINEAR,250,150,-20,90)     // raise arm
  call MoveTo(_QUICK,250,150,-20,0)       // rotate back
return

//                         The Secret
// ck is first placed on the table, the 4 aces must be on top
// Much of the card moving is just to distract the user - the magician
// simply keeps track of where the aces are and eventually moves them
// to the top of the four stacks.

// A real magician can easily shuffle the deck so that the top four cards
// never change.  If you can't do that, simply have the four aces hidden
// in one hand and give the rest of the deck to some to shuffle.  When
// they return the deck to you, secretly place the aces on top and set
// the deck on the table.  Don't look guilty and no one will know :)  

// Note: This program assumes that the PortalGroove SpeechPlayer has been installed and is active
// It causes anything copied to the clipboard to be spoken by the Windows' speech synthesizer
// Search the internet for a download - the free version works fine for this application

            
                                                               


  



